if not ModCore then
	log("[ERROR] Unable to find ModCore from BeardLib! Is BeardLib installed correctly?")
	return
end

tonygloveswickCore = tonygloveswickCore or class(ModCore)

function tonygloveswickCore:init()
	--Calling the base function for init from ModCore
	--self_tbl, config path, auto load modules, auto post init modules
	self.super.init(self, ModPath .. "config.xml", true, true)
end

if not _G.tonygloveswick then
	local success, err = pcall(function() tonygloveswickCore:new() end)
	if not success then
		log("[ERROR] An error occured on the initialization of Tony Gloves for Wick. " .. tostring(err))
	end
end
